"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const browser_image_compression_1 = __importDefault(require("browser-image-compression"));
const Card_1 = __importDefault(require("react-bootstrap/Card"));
class imageCompressor extends react_1.default.Component {
    constructor() {
        super();
        this.handle = e => {
            const imageFile = e.target.files[0];
            this.setState({
                originalLink: URL.createObjectURL(imageFile),
                originalImage: imageFile,
                outputFileName: imageFile.name,
                uploadImage: true
            });
        };
        this.changeValue = e => {
            this.setState({ [e.target.name]: e.target.value });
        };
        this.click = e => {
            e.preventDefault();
            const options = {
                maxSizeMB: 1,
                maxWidthOrHeight: 500,
                useWebWorker: true
            };
            if (options.maxSizeMB >= this.state.originalImage.size / 1024) {
                alert("Image is too small, can't be Compressed!");
                return 0;
            }
            let output;
            (0, browser_image_compression_1.default)(this.state.originalImage, options).then(x => {
                output = x;
                const downloadLink = URL.createObjectURL(output);
                this.setState({
                    compressedLink: downloadLink
                });
            });
            this.setState({ clicked: true });
            return 1;
        };
        this.state = {
            compressedLink: "http://navparivartan.in/wp-content/uploads/2018/11/placeholder.png",
            originalImage: "",
            originalLink: "",
            clicked: false,
            uploadImage: false
        };
    }
    render() {
        return (react_1.default.createElement("div", { className: "m-5" },
            react_1.default.createElement("div", { className: "text-light text-center" },
                react_1.default.createElement("h1", null, "Three Simple Steps"),
                react_1.default.createElement("h3", null, "1. Upload Image"),
                react_1.default.createElement("h3", null, "2. Click on Compress"),
                react_1.default.createElement("h3", null, "3. Download Compressed Image")),
            react_1.default.createElement("div", { className: "row mt-5" },
                react_1.default.createElement("div", { className: "col-xl-4 col-lg-4 col-md-12 col-sm-12" },
                    this.state.uploadImage ? (react_1.default.createElement(Card_1.default.Img, { className: "ht", variant: "top", src: this.state.originalLink })) : (react_1.default.createElement(Card_1.default.Img, { className: "ht", variant: "top", src: "http://navparivartan.in/wp-content/uploads/2018/11/placeholder.png" })),
                    react_1.default.createElement("div", { className: "d-flex justify-content-center" },
                        react_1.default.createElement("input", { type: "file", accept: "image/*", className: "mt-2 btn btn-dark w-75", onChange: e => this.handle(e) }))),
                react_1.default.createElement("div", { className: "col-xl-4 col-lg-4 col-md-12 mb-5 mt-5 col-sm-12 d-flex justify-content-center align-items-baseline" },
                    react_1.default.createElement("br", null),
                    this.state.outputFileName ? (react_1.default.createElement("button", { type: "button", className: " btn btn-dark", onClick: e => this.click(e) }, "Compress")) : (react_1.default.createElement(react_1.default.Fragment, null))),
                react_1.default.createElement("div", { className: "col-xl-4 col-lg-4 col-md-12 col-sm-12 mt-3" },
                    react_1.default.createElement(Card_1.default.Img, { variant: "top", src: this.state.compressedLink }),
                    this.state.clicked ? (react_1.default.createElement("div", { className: "d-flex justify-content-center" },
                        react_1.default.createElement("a", { href: this.state.compressedLink, download: this.state.outputFileName, className: "mt-2 btn btn-dark w-75" }, "Download"))) : (react_1.default.createElement(react_1.default.Fragment, null))))));
    }
}
exports.default = imageCompressor;
//# sourceMappingURL=ImageCompressor.js.map